Camera = class("Camera")

function Camera:initialize(position, rotation, scale)

	self.position = position
	self.rotation = rotation
	self.scale = scale

end

function Camera:bind()

	love.graphics.push()
	love.graphics.scale(self.scale)
	love.graphics.translate(
		-self.position.x,
		-self.position.y
	)
	
end

function Camera:unbind()

	love.graphics.pop()

end