Vector = class("Vector")

function Vector:initialize(x, y)

	self.x, self.y = x, y

end

function Vector:getMagnitude()

	return math.sqrt(self.x^2 + self.y^2)

end

function Vector:normalize()

	local magnitude = self:getMagnitude()
	
	self.x = self.x / magnitude
	self.y = self.y / magnitude

end

function Vector:getCopy()

	return Vector(self.x, self.y)

end